SDL_GetMice(3)

NAME
SDL_GetMice - Get a list of currently connected mice.

HEADER FILE
Defined in SDL3/SDL_mouse.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_MouseID * SDL_GetMice(int *count);

DESCRIPTION
Note that this will include any device or virtual driver that includes mouse functionality, including some game controllers, KVM switches, etc. You should wait for input from a device before you consider it actively in use.

FUNCTION PARAMETERS

count
    a pointer filled in with the number of mice returned, may be NULL.

RETURN VALUE
( SDL_MouseID
 *) Returns a 0 terminated array of mouse instance IDs or NULL on failure; call SDL_GetError () for more information. This should be freed with SDL_free () when it is no longer needed.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetMouseNameForID(3), •(3), SDL_HasMouse(3)